Bug 170744 - [MAINTAINER] games/syobon: Makefile changed, OptionsNG
Summary: [MAINTAINER] games/syobon: Makefile changed, OptionsNG
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-18 16:00 UTC by nemysis
Modified: 2012-08-25 22:50 UTC (History)
1 user (show)

See Also:


Attachments
syobon-1.0.1_1.patch (931 bytes, patch)
2012-08-18 16:00 UTC, nemysis
no flags Details | Diff
syobon.diff (991 bytes, patch)
2012-08-20 22:11 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-08-18 16:00:22 UTC
Makefile changed:

OptionsNG

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MDOCS}

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Po-Chuan Hsieh freebsd_committer 2012-08-18 17:09:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 2 Po-Chuan Hsieh freebsd_committer 2012-08-20 12:00:41 UTC
Responsible Changed
From-To: sunpoet->jgh

Jason would like to take nemysis's PRs.
Comment 3 dfilter service freebsd_committer 2012-08-25 22:45:24 UTC
Author: jgh
Date: Sat Aug 25 21:45:11 2012
New Revision: 303158
URL: http://svn.freebsd.org/changeset/ports/303158

Log:
  - port requires data
  - adopt optionsNG for DOCS
  
  PR:	170744
  Submitted by:	maintainer, nemysis@gmx.ch

Modified:
  head/games/syobon/Makefile   (contents, props changed)

Modified: head/games/syobon/Makefile
==============================================================================
--- head/games/syobon/Makefile	Sat Aug 25 21:08:37 2012	(r303157)
+++ head/games/syobon/Makefile	Sat Aug 25 21:45:11 2012	(r303158)
@@ -7,6 +7,7 @@
 
 PORTNAME=	syobon
 PORTVERSION=	1.0.1
+PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	http://download.zapek.com/software/${PORTNAME}/
 DISTNAME=	${PORTNAME}_${PORTVERSION}
@@ -30,13 +31,18 @@ PORTDATA=	*
 
 MAKE_ENV=	GAMEDATA="${DATADIR}"
 
+.include <bsd.port.options.mk>
+
 do-install:
+# Executable
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-.if !defined(NOPORTDATA)
+
+# Data
 	${MKDIR} ${DATADIR}
 	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "BGM SE res" ${DATADIR})
-.endif
-.if !defined(NOPORTDOCS)
+
+# Documentation
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 	${INSTALL_DATA} ${WRKSRC}/README.txt ${DOCSDIR}
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Jason Helfman freebsd_committer 2012-08-25 22:45:34 UTC
State Changed
From-To: open->closed

Committed. Thanks!